]> git.openstreetmap.org Git - rails.git/blob - app/views/site/id_iframe.html.erb
Add iD editor
[rails.git] / app / views / site / id_iframe.html.erb
1 <!DOCTYPE html>
2 <html>
3 <head>
4   <meta charset='utf-8'>
5   <%= stylesheet_link_tag 'iD' %>
6   <!--[if !IE || gte IE 9]><!-->
7   <%= javascript_include_tag 'iD' %>
8   <!-- <![endif]-->
9 </head>
10 <body>
11 <div id='id-container'></div>
12 <script>
13   if (typeof iD == 'undefined') {
14     document.getElementById('id-container').innerHTML = 'This editor is supported ' +
15       'in Firefox, Chrome, Safari, Opera, and Internet Explorer 9 and above. ' +
16       'Please upgrade your browser or use Potlatch 2 to edit the map.';
17     document.getElementById('id-container').className = 'unsupported';
18   } else {
19     var qs = iD.util.stringQs(location.hash);
20     if (qs.preauth) {
21       var preauth = JSON.parse(qs.preauth);
22
23       var id = iD()
24         .embed(true)
25         .imagePath("/assets/iD/img/"); <%# Can't use asset_path('id/img/') in production. %>
26
27       id.connection()
28         .url(Object.keys(preauth)[0])
29         .keys(preauth);
30
31       d3.select('#id-container')
32         .call(id.ui());
33     }
34   }
35 </script>
36 </body>
37 </html>